<?php
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');

function xExportar($varForm) {
	$varCod = (isset($varForm["cod"]) && $varForm["cod"]<>'')? $varForm["cod"]:"NULL";
	$varVeh = (isset($varForm["vcod"]) && $varForm["vcod"]<>'')? $varForm["vcod"]:"NULL";
	$varCon = (isset($varForm["ccod"]) && $varForm["ccod"]<>'')? $varForm["ccod"]:"NULL";
	$varIni = (isset($varForm["fini"]) && $varForm["fini"]<>'')? "'".FechaMySql($varForm["fini"])."'":"NULL";
	$varFin = (isset($varForm["ffin"]) && $varForm["ffin"]<>'')? "'".FechaMySql($varForm["ffin"])."'":"NULL";
	
	$sql = "call spQuery_Asignacion($varCod, $varVeh, $varCon, $varIni, $varFin,  NULL, NULL);";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = (isset($varForm["titu"]))?$varForm["titu"]:"Reporte";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("export.php?page=$varTitulo");
    return $objResponse;
	}

function xExportarPacking($varIde) {
	$var = VarServer("MYSQLI");
	$obj = new clsAsignacionReporteCambios($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$sql = "CALL spQuery_LiqReparto_Documentos_Asignacion($varIde, NULL);";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = $obj->varTitulo." - Asignacion Nro. ".$varIde;	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("export.php?page=$varTitulo");
    return $objResponse;
	}

function xBuscar($varFormm, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsAsignacionReporteCambios($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varFormm, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", utf8_encode($varTabla));
	$variable2="ResaltarSeleccionado()";
	$respuestaXajax->script($variable2); 
	return $respuestaXajax;
	}

$xajax->register(XAJAX_FUNCTION, 'seleccionar_vehiculo');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_conductor');
$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');
$xajax->register(XAJAX_FUNCTION, 'xExportarPacking');



$xajax->processRequest();
$xajax->printJavascript("clases/xajax");


?>
<script language="javascript">	
	function xBuscarJS(varField, varOrder) {
		if (xajax.$("cod").value=="" && xajax.$("vcod1").value=="" && xajax.$("ccod1").value=="" && xajax.$("fini").value=="" && xajax.$("ffin").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR AL MENOS UN PARAMETRO DE BUSQUEDA");
			xajax.$("cod").focus()
			return (false); 
			}
		else {
			xajax_xBuscar(xajax.getFormValues('form'), varField, varOrder);
			}				
		}	
	
	function xExportarJS() {
		if (xajax.$("cod").value=="" && xajax.$("vcod1").value=="" && xajax.$("ccod1").value=="" && xajax.$("fini").value=="" && xajax.$("ffin").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR AL MENOS UN PARAMETRO DE BUSQUEDA");
			xajax.$("cod").focus()
			return (false); 
			}
		else {
			xajax_xExportar(xajax.getFormValues('form'));
			}			
		}
		
	function xImprimirJS(varAsignacion) {
		if (varAsignacion && varAsignacion=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nNO EXISTE ASIGNACION");
			return (false); 
			}
		else {
			var Ruta = 'print/print_liqreparto_reporte_cambios_asignados.php?ide='+varAsignacion;
			testwindow= window.showModalDialog(Ruta, "print_liqreparto_reporte_cambios_asignados", "center:on;resizable:on;dialogWidth:700px;dialogHeight:600px;");
			}	
		}
</script>

<?php		
function MyTable($obj, $varTitulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	
	echo "<div id=\"divFormBusqueda\">";
	echo "<div id=\"divDatosBusqueda\">";	
	echo "</div>";
	echo "</div>";
	
	echo "<div id=\"divFormAsignacion\">";
	echo "</div>";
	} 
?>